<?php
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");

unset($titulos);
unset($query_expor);

$nombrepagina = "REPORTE POR ESTADOS - ZONAS";
EncabezadoSinMenu($target);
$user = $_SESSION['validar'];
$tamano_pagina = 20;
$_SESSION['tam'] = $tamano_pagina;
$pagina = $_GET["pagina"];

if (!$pagina) {
    $inicio = 0;
    $_SESSION['inicio'] = $inicio;
    $pagina = 1;
} else {
    $inicio = ($pagina - 1) * $tamano_pagina;
    $_SESSION['inicio'] = $inicio;
}
$filas = 1;
if ($filas == 1) {

    class llamado {

        var $menuObj;

        function validar1($id_user, $id_sucursal) {
            $this->menuObj = new menu_inicio();
            $this->menuObj->menu2($id_user, $id_sucursal);
        }

    }

    echo"</td>";
    echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
    mostrar_cabeza_trabajo($nombrepagina);

    $consOds = $_POST['str_orden'];
    $consProd = $_POST['str_producto'];
    $consCli = $_POST['str_cliente'];
    $consFec = $_POST['str_fecha'];
    $consAre = trim($_POST['str_area']);
    
    if(!empty($consAre)){
            $StrPreg=" and especial2='".$consAre."'";  
            $TitArea=" Area: ".$consAre;
    }else{
        $StrPreg="";
        $TitArea="Todas las Areas";
    }
    
    
    $conexionObj2 = new conexion();
    $conexionObj2->conectarse();

    if (!empty($consOds)) {
        $StrTitulo = 'Orden de Servicio: ' . $consOds;
        $StrZonas = "select distinct(cod_zona) as cod_zona from guias_proceso where orden='" . $consOds . "'";
        $ResZonas = $conexionObj2->consultar($StrZonas);

        $cntz = mysql_num_rows($ResZonas);
        if ($cntz <= 0) {
            $StrTitulo = 'No hay Registros para consultar.';
        }
    }
    ?>
    <CENTER>

        <table width="350" border="0" cellspacing="0" cellpadding="0">
            <tr class="">
                <td class="titulo6" align="left">Cliente: <? echo $consCli; ?></td>
                <td class="titulo6" align="right">Orden: <? echo $consOds; ?></td>
            </tr>
            <tr class="">
                <td class="titulo6" align="left">Producto: <? echo $consProd; ?></td>
                <td class="titulo6" align="right">Fecha: <? echo $consFec; ?></td>
            </tr>
            
            <tr class="">
                <td class="titulo6" align="left" colspan='2'><center><? echo $TitArea; ?> <center></td>
            </tr>
        </table>

        <table width="719" border="0" class="primaria">
            <tr>
                <td width="750" colspan="11" align="center">
            </tr>
            <tr class=miTable_tr>
                <td colspan="11" class=miTable_th1><div align="center">..::Consulta de Ordenes ::..</div></td>
            </tr>
            <tr class=miTable_tr>
                <td colspan="11" class=miTable_th1><? echo $StrTitulo; ?></td>
            <a href='export_csv_zonas_estados.php?orden=<? echo $consOds; ?>&cliente=<? echo $consCli; ?>&F1=<? echo $consF1; ?>&F2=<? echo $consF2; ?>' title='Exportar CSV'>Exportar Csv<img src='imagenes/txt_icon.gif'></a>                
            </tr>
        </table>


        <?
        ?>
        <!--/////////aqui debe ir el div////////////////////-->    
        <div style='overflow-x:scroll;overflow-y:scroll;width:750px;height:500px'>
            <table border="0" width="720" class="primaria">
                <tr class="miTable_tr">      
                    <td valign=top class=miTable_th1 colspan='20'><div align="center">ZONAS</div></td>
                    </tr>
                <tr class="miTable_tr">      
                    <td valign=top class=miTable_th1 width="220"><div align="center">ESTADO</div></td>
                    <?
                    if ($cntz > 0) {
                        while ($CurZonas = mysql_fetch_array($ResZonas)) {
                            $ArrZona[] = $CurZonas['cod_zona'];
                            ?>                
                            <td valign=top class=miTable_th1 width="900"><div align="center"><? echo $CurZonas['cod_zona']; ?></div></td>

                            <?
                        }

                        echo "</tr>";
                        $StrDev = "select id_devolucion,nombre from devoluciones";
                        $ResDev = $conexionObj2->consultar($StrDev);
                        ?>                
                    <tr><td valign=top class=miTable_th1 width="220"><div align="left">ENTREGADAS</div></td>                    
                        <?
                        /////////Entregadas
                        foreach ($ArrZona as $valor) {
                            $strmysql = "select count(*) as total from guias_proceso where cod_zona='" . $valor . "' and id_estado in(14,15) and orden='" . $consOds . "' $StrPreg";
                            $ResCta = $conexionObj2->consultar($strmysql);
                            $CurCta = mysql_fetch_array($ResCta);
                            echo '<td valign=top class=miTable_td width="90"><div align="center">' . $CurCta["total"] . '</div></td>';
                        }
                        /////////Pendientes
                        echo '<tr><td valign=top class=miTable_th1 width="220"><div align="left">INICIO DE DISTRIBUCION</div></td>';
                        foreach ($ArrZona as $valor) {
                            $strmysql = "select count(*) as total from guias_proceso where cod_zona='" . $valor . "' and id_estado=13 and orden='" . $consOds . "' $StrPreg";
                            $ResCta = $conexionObj2->consultar($strmysql);
                            $CurCta = mysql_fetch_array($ResCta);
                            echo '<td valign=top class=miTable_td width="90"><div align="center">' . $CurCta["total"] . '</div></td>';
                        }
                        echo "</tr>";


                        while ($CurDev = mysql_fetch_array($ResDev)) {
                            $coddevo = $CurDev['id_devolucion'];
                            ?>                
                            <td valign=top class=miTable_th1 width="220"><div align="left"><? echo $CurDev['nombre']; ?></div></td>
                                <?
                                foreach ($ArrZona as $valor) {
                                    $strmysql = "select count(*) as total from guias_proceso where cod_zona='" . $valor . "' and id_devolucion='" . $coddevo . "' and orden='" . $consOds . "' $StrPreg";
                                    $ResCta = $conexionObj2->consultar($strmysql);
                                    $CurCta = mysql_fetch_array($ResCta);
                                    echo '<td valign=top class=miTable_td width="90"><div align="center">' . $CurCta["total"] . '</div></td>';
                                }
                                echo "</tr>";
                            }
                        }
                        echo"</td>";
                        echo"</tr>";
                        echo"</table>";
                    }


                    echo"</div>";
                    echo"<table width=800 border=0 align=center cellpadding=0 cellspacing=0>";
                    mostrar_pie();

                    echo"</td>";
                    echo"</tr>";
                    echo"</table>";
                    echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
                    echo"<tbody><tr>";
                    echo"<td></td>";
                    echo"</tr>";
                    echo"<tr>";
                    echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
                    echo"</tr>";
                    echo"<tr>";
                    ?><td><center>
                    <? pie_de_pagina(); ?>
            </center></td>
            <?php
            echo"</tr>";
            echo"</tbody></table>";
            echo"</center>";
            echo"</body>";
            echo"</html>";
            ?>
            </CENTER>
            </form>
